package com.cf.imes.module.system.enums.token;


import cn.hutool.core.util.ObjectUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author token配置应用类型枚举
 */

@Getter
@AllArgsConstructor
public enum TokenConfigAppTypeEnum {


    /**
     * WebCAD
     */
    WEBCAD(1, "WebCAD");



    /**
     * 类型
     */
    private final Integer type;

    /**
     * 应用名称
     */
    private final String name;


    public static TokenConfigAppTypeEnum fromType(Integer type) {
        if (type == null) {
            return null;
        }
        for (TokenConfigAppTypeEnum value : values()) {
            if (ObjectUtil.equal(value.getType(), type)) {
                return value;
            }
        }
        return null;
    }
}
